Bug 74373 - UI: Slightly increased Xorg CPU usage with 'marching ants' on hidden Calc window
Summary: UI: Slightly increased Xorg CPU usage with 'marching ants' on hidden Calc window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2014-02-02 12:29 UTC by dg1727
Modified: 2021-09-08 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-02-02 12:29:39 UTC
1.  Open or create a Calc document.  
2.  Maximise the window.  
3.  Drag-select a large area of cells (no need to go outside the visible window).  
4.  Press Ctrl-c to copy those cells & start the 'marching ants' border around them.  
5.  Create a new Calc document and maximise its window, or otherwise bring up a maximised window that covers the first Calc window.  
6.  Issue:  Even though the first Calc window is no longer displayed, the Xorg CPU usage is slightly increased by the 'marching ants' effect.  The %CPU increase is more noticeable on slow computers.  

LibreOffice 4.1.4.2 on Ubuntu 13.04.
Comment 1 dg1727 2014-02-02 12:39:55 UTC
This bug is probably related to bug 73841 but suggests an optimisation that might not be obvious from that bug (not having X animate the "marching ants" when the window isn't shown).
Comment 2 John Ayo 2014-02-03 09:26:36 UTC
I have noticed this in the Windows version as well, but with very noticeable effects on the speed of other running programs. This is on a system with a Celeron D processor.
Comment 3 Robinson Tryon (qubit) 2015-01-15 00:08:41 UTC
TESTING with LO 4.4.0.2 + Ubuntu 14.04

(In reply to dg1727 from comment #0)
> 1.  Open or create a Calc document.  
> 2.  Maximise the window.  
> 5.  Create a new Calc document and maximise its window, or otherwise bring
> up a maximised window that covers the first Calc window.  

With 2 Calc windows open and maximized (with nothing in them except a small label in A1 to tell them apart, X.org CPU usage as reported by top was:
1-3 %

> 3.  Drag-select a large area of cells (no need to go outside the visible
> window).  
> 4.  Press Ctrl-c to copy those cells & start the 'marching ants' border
> around them.  
> 6.  Issue:  Even though the first Calc window is no longer displayed, the
> Xorg CPU usage is slightly increased by the 'marching ants' effect.  The
> %CPU increase is more noticeable on slow computers.  

With one of the windows fully selected (A1:P38 -- hey, that's a can opener! :-), copied (with CTRL-C), and hidden behind the other one, X.org CPU usage was around:
25-28 %

So I'll call this one CONFIRMED.
Status -> NEW

In fact, I wouldn't call that a "slight increase" in X.org CPU usage -- it's a significant increase, so:
Whiteboard -> perf
Comment 4 Robinson Tryon (qubit) 2015-12-09 18:08:25 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:41:23 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2019-09-08 21:30:52 UTC
I noticed an increase of cpu usage up to 25% for very few seconds.
Comment 7 QA Administrators 2021-09-08 03:42:18 UTC
Dear dg1727,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug